
 LinHES - Bug # 910: xbmc --lircdev /var/run/lirc/lircd is not accepted even when it's hardcoded in R8

Status: Closed Priority: Normal
Author: RacerX Category: Packages: Extra
Created: 03/08/2013 Assignee: jams
Updated: 08/26/2013 Due date:
Description: Since R7.4 and now in R8 a bug exists that breaks Lirc in XMBC

Code: Select all
    xbmc --lircdev /var/run/lirc/lircd

is bugged, even more strange is the path for Lirc is /var/run/lirc/lircd and not in /dev anymore so it should be 
working. The only option is to change the button.
So here is the workaround for now

change the line in

    /home/mythtv/.mythtv/library.xml

from

Code: Select all
    <action>EXEC /usr/bin/xbmc</action>

to

Code: Select all
    <action>EXEC /usr/bin/xbmc --lircdev /var/run/lirc/lircd</action>

it can now figure out the path for Lirc and it works for now :)

Associated revisions
06/04/2013 12:51 pm - jams
LinHES-config:  mv_ir.py  add support for custom xbmc lirc mapping.   If a remote definition has a xbmc.xml file it will be symlinked for xbmc usage.

refs #910

History
06/04/2013 08:15 am - jams
- Status changed from New to In Progress

- Target version set to 8.1

- Category set to Packages: Extra

- Assignee set to jams

06/04/2013 12:49 pm - jams
- Status changed from In Progress to Closed

changed xml to call the shell script xbmc.sh instead of xbmc.

08/26/2013 01:01 pm - brfransen
- Target version changed from 8.1 to 8.0
